Page MenuHomePhabricator

fread() blocked wfShellExecTest::testT69870() under Windows
Closed, ResolvedPublic

Description

Hi, I noticed that wfShellExecTest::testT69870() blocked my test job (make the job infinite waiting). I think this place should be a good place to ask this question. I using Windows 10 and PHP 7.2.9 as my development environment, the problem happened on here. But in my Linux system, everything looks good.

For my debug, the process blocked by a fread() function in includes/shell/Command.php on line 475. (note: the function inside foreach, and the process blocked in the second cycle)

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 9 2018, 4:02 PM
RazeSoldier renamed this task from PHPUnit test job under Windows blocked by wfShellExec() to fread() blocked wfShellExecTest::testT69870() under Windows.Jan 16 2019, 6:20 AM
RazeSoldier added a project: MediaWiki-Shell.
RazeSoldier updated the task description. (Show Details)
Vedmaka added a subscriber: Vedmaka.Mar 7 2019, 4:12 PM

I experience the same problem on Windows 7, PHP 7.3.3 NTS, 24755f024fe4efeab9f56a56073f75fc2ae3d7da of mediawiki/core - WfShellExecTest::testT69870 and CommandTest::testT69870 are running infinitely blocking other tests from being run

Also kind of experiencing this on Ubuntu 18, PHP 7.3 - ended commenting out both tests otherwise it just freezes my machine after running it for about an hour

Change 517161 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[mediawiki/core@master] Skip WfShellExecTest::testT69870() under Windows system

https://gerrit.wikimedia.org/r/517161

Change 517161 merged by jenkins-bot:
[mediawiki/core@master] Skip ::testT69870() under Windows system

https://gerrit.wikimedia.org/r/517161

RazeSoldier closed this task as Resolved.Jun 23 2019, 8:39 AM
RazeSoldier claimed this task.
RazeSoldier removed a project: Patch-For-Review.